---
title: Stopping all Sounds
---
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Stopping all Sounds

There is no way for you to stop a single playing Sound if their `Type` is not either `PlayPause` or `PlayStop` however, there is a way for you to stop **ALL Sounds** and that is the message `stopAllMemesSounds` .

The structure for that message is:

```json
{
  "action": "stopAllMemeSounds",
  "id": "[unique ID for your message]",
  "payload": {}
}
```

The result of sending this message is that all playing Sounds will be stopped.

There is no triggered event from the server after receiving this message, so don’t wait for one.

Of course, if you’re playing a Sound with a type either `PlayStop` or `PlayPause` you could also simply re-issue the play message for that same Sound and the server will take care of either stopping it or pausing it (depending on the Sound).

For example, look at the following code:


<Tabs>
<TabItem value="javascript" label="JavaScript">

```javascript
const socket = new WebSocket('ws://localhost:59129/v1');

socket.addEventListener('open', function(event) {
  console.log('WebSocket connected');

  // Send the message every 500ms
  setTimeout(function() {
    const message = {
      "action": "playMeme",
      "id": "100",
      "payload": {
        "FileName": "9f774738-3161-4e94-a66c-c9cd9585b3ef",
        "IsKeyDown": true
      }
    };

    socket.send(JSON.stringify(message));
    console.log('Sent message:', message);
  }, 500);
});
```
</TabItem >
<TabItem value="python" label="Python">

```python
import json
import time
import websocket

def on_open(ws):
    print("WebSocket connected")

    # Send the message every 500ms
    while True:
        message = {
            "action": "playMeme",
            "id": "100",
            "payload": {
                "FileName": "9f774738-3161-4e94-a66c-c9cd9585b3ef",
                "IsKeyDown": True
            }
        }

        ws.send(json.dumps(message))
        print("Sent message:", message)

        time.sleep(0.5)

websocket.enableTrace(True)
ws = websocket.WebSocketApp("ws://localhost:59129/v1",
                            on_open=on_open)

ws.run_forever()
```
</TabItem >
</Tabs>

The above code will play the “Ringtone” sound for 500ms, then it’ll stop it for another half a second and then it’ll play it again. In other words, the code will loop toggle the Sound, but that’s because this particular Sound is a `PlayStop` Sound.
